Table of Contents

Class: Authorizer | Twisted-0.17.4/twisted/cred/authorizer.py
--- | ---

An interface to a set of identities.

Methods |
--- | ---
addIdentity getIdentityRequest removeIdentity setApplication
| addIdentity

    addIdentity ( self,  identity )

Create an identity and make a callback when it has been created.

Exceptions |
--- | ---
NotImplementedError()

| getIdentityRequest

    getIdentityRequest ( self,  name )

### Get an identity request, make the given callback when it's received.

Override this to provide a method for retrieving identities than the hash provided by default. The method should return a Deferred.

Note that this is asynchronous specifically to provide support for authenticating users from a database.

Exceptions |
--- | ---
NotImplementedError("%s.getIdentityRequest" % str( self.__class__ ) )

| removeIdentity

    removeIdentity ( self,  identityName )

Exceptions |
--- | ---
NotImplementedError()

| setApplication

    setApplication ( self,  app )

Set the application for this authorizer.

Table of Contents

This document was automatically generated on Sat Apr 20 01:32:12 2002 by HappyDoc version 2.0